Name:           perl-MaxMind-DB-Common
Version:        0.040000
Release:        1%{?org_tag}%{?dist}
Summary:        Code shared by the DB reader and writer modules
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MaxMind-DB-Common/
Source0:        http://localhost/cpan//authors/id/D/DR/DROLSKY/MaxMind-DB-Common-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Data::Dumper::Concise)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  perl(List::AllUtils)
BuildRequires:  perl(Math::Int128)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(MooX::StrictConstructor)
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Sub::Quote)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Data::Dumper::Concise)
Requires:       perl(DateTime)
Requires:       perl(List::AllUtils)
Requires:       perl(Math::Int128)
Requires:       perl(Moo)
Requires:       perl(Moo::Role)
Requires:       perl(MooX::StrictConstructor)
Requires:       perl(namespace::autoclean)
Requires:       perl(Sub::Quote)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
This first release is being done for the sake of the GeoIP2 package. Real
documentation for this distro is forthcoming.

%prep
%setup -q -n MaxMind-DB-Common-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri May 22 2015 Gavin Carr <gavin@openfusion.com.au> 0.040000-1
- Update to version 0.040000.

* Wed Feb 04 2015 Gavin Carr <gavin@openfusion.com.au> 0.031003-1
- Update to version 0.031003.

* Fri Sep 20 2013 Gavin Carr <gavin@openfusion.com.au> 0.031002-1
- Specfile autogenerated by cpanspec 1.79.
